Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357968 - After using USB3 external drive, suspend results in immediate resume
Summary: After using USB3 external drive, suspend results in immediate resume
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 17:01 UTC by Dimitris
Modified: 2017-04-12 03:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 03:09:28 UTC


Attachments (Terms of Use)

Description Dimitris 2016-07-19 17:01:50 UTC
Description of problem:

Before using an external USB3 drive system suspends as normal.  After using the drive, /proc/acpi/wakeup changes allowing XHCI and EHC1 to wake the system up.  This results in the machine auto-resuming from suspend immediately after I suspend it.

Version-Release number of selected component (if applicable):

4.6.4-301.fc24.x86_64

How reproducible:


Steps to Reproduce:
1. Fresh boot. XHCI and EHC1 are both showing "enabled" in /proc/acpi/wakeup
2. Suspend/resume - works as expected.
3. Connect external USB3 drive, do some operations (e.g. backup)
4. unmount etc., "udisks --detach /dev/sd<x>"
5. suspend
6. Machine suspends then resumes immediately.
7. To get the machine to stay suspended I have to send "XHCI" and "EHC1" to /proc/acpi/wakeup first.

Actual results:

I have to echo XHCI and EHC1 to /proc/acpi/wakeup to regain suspend.

Expected results:

Suspend should work.

Additional info:

Duplicate/continuation of bug 1213054

Comment 1 Laura Abbott 2016-09-23 19:09:39 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Laura Abbott 2016-10-26 16:53:53 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 3 Dimitris 2016-12-20 21:45:57 UTC
Reproduces with 4.8.15-200.fc24.x86_64

Comment 4 Justin M. Forbes 2017-04-11 14:40:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Dimitris 2017-04-12 03:09:28 UTC
Tried with 4.10.9-200.fc25.x86_64, can't reproduce.


Note You need to log in before you can comment on or make changes to this bug.